function f=proce_eva(t,poblac,PASOTIEMPO)
%
% Función de evaluación de la población: 8 de Mayo del 2001
%
% USO:	F=proce_eva(T,chrom,PASOTIEMPO)
%
%  T: no usado
%  CHROM chrom{j}=[perfil;
%						 interv,0]
%  PASOTIEMPO:dt
%
%	F,	(Nx1) Valor de la función evaluación para cada individuo.
%

% APRENDIZAJE AUTOMÁTICO (G. Pajares y J. M. de la Cruz, Eds.)
% Editorial: RA-MA
% Capítulo 9: El Aprendizaje con Algoritmos Genéticos
% Autores: Bonifacio de Andres y Toro


f=proce(poblac,PASOTIEMPO);



function [J]=proce(perfil,PASOTIEMPO),
%
% Programa que simula la fermentacion de la cerveza.  
% 8 de Mayo 2001
%
% USO: 	J=PROCEIN(PERFIL,PASOTIEMPO)
%
%  CHROM chrom{j}=[perfil;
%						 interv,0]
%  PASOTIEMPO:dt
%	J,	Valor a optimizar 

limitar=1;

J=proce_basic(perfil,PASOTIEMPO);

J(:,1)=-floor(J(:,1)*100)/100; 						%EA, (minimizar -> lo cambio de signo)
if (limitar)
   lm=find(J(:,1)>=-15);
   J(lm,1)=0;
end

J(:,2)=floor(J(:,2)*10)/10;							%alcohol			
if (limitar)
   lm=find(J(:,2)>=60);
   J(lm,2)=60;
end

lm=find(J(:,3)>=2);
J(lm,3)=ceil(J(lm,3)/5)*5;						%sumabulb (minimizar -> cambio de signo)
J(:,3)=-J(:,3);


J(:,4)=-floor(J(:,4)*100)/100;	 						%vdk, (minimizar -> lo cambio de signo)

if (limitar)
   lm=find(J(:,4)>=-.2);
   J(lm,4)=0;
end

J(:,5)=-J(:,5);						%perfil (minimizar -> cambio de signo)

J(:,6)=-round(J(:,6)/10)*10;						%calor (minimizar -> cambio de signo)
J(:,7)=-round(J(:,7)/10)*10;						%calor (minimizar -> cambio de signo)

J(:,8)=-ceil(J(:,8)/5)*5;						%tiempo (minimizar -> cambio de signo)


